# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class EntryLink<E extends BaseEntry<?>>

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Link
                  com.google.gdata.data.extensions.EntryLink<E>

Type Parameters:
  `E` - Nested entry type.

All Implemented Interfaces:
  Extension, ILink, Reference

    public class EntryLink<E extends BaseEntry<?>>

extends Link

The EntryLink class defines the object model for a link entity that refers to a GData entry. The entry content may be included inline via child elements of the entry link or only included by reference.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.Link
`Link.AtomHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Nested classes/interfaces inherited from interface com.google.gdata.data.ILink
`ILink.Rel, ILink.Type`

Field Summary
`protected BaseEntry<?>` `entry` Nested entry (optional).
`protected java.lang.Class<E>` `entryClass` Nested entry class.
`protected boolean` `readOnly` Read only flag.

Fields inherited from class com.google.gdata.data.Link
`content, etag, href, hrefLang, length, rel, title, titleLang, type`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`EntryLink()` Constructs an entry link that points to an `Entry`.
`EntryLink(java.lang.Class<E> entryClass)` Constructs an entry link that points to the given entry type.

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates an XML representation for the extension.
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description.
`E` `getEntry()`
`java.lang.Class<E>` `getEntryClass()`
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.
`boolean` `getReadOnly()`
`java.lang.String` `getType()` Returns the mime type of the link.
`void` `setEntry(E v)`
`void` `setReadOnly(boolean v)`
`protected void` `visitChildren(ExtensionVisitor ev)` Called to visit all children of this extension point.

Methods inherited from class com.google.gdata.data.Link
`generateAtom, generateRss, getContent, getEtag, getHref, getHrefLang, getLength, getRel, getTitle, getTitleLang, matches, setContent, setEtag, setHref, setHrefLang, setLength, setRel, setTitle, setTitleLang, setType`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### readOnly

    protected boolean readOnly

  Read only flag.

### entry

    protected BaseEntry<?> entry

  Nested entry (optional).

### entryClass

    protected final java.lang.Class<E extends BaseEntry<?>> entryClass

  Nested entry class.

Constructor Detail

### EntryLink

    public EntryLink()

  Constructs an entry link that points to an `Entry`.

### EntryLink

    public EntryLink(java.lang.Class<E> entryClass)

  Constructs an entry link that points to the given entry type.

  Parameters:
    `entryClass` - Entry class.

Method Detail

### getReadOnly

    public boolean getReadOnly()

### setReadOnly

    public void setReadOnly(boolean v)

### getEntry

    public E getEntry()

### setEntry

    public void setEntry(E v)

### getEntryClass

    public java.lang.Class<E> getEntryClass()

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description.

### getType

    public java.lang.String getType()

  Description copied from interface: `ILink`
  Returns the mime type of the link.

  Specified by:
    `getType` in interface `ILink`
  Overrides:
    `getType` in class `Link`

### visitChildren

    protected void visitChildren(ExtensionVisitor ev)
                          throws ExtensionVisitor.StoppedException

  Description copied from class: `ExtensionPoint`
  Called to visit all children of this extension point.

  Overrides:
    `visitChildren` in class `ExtensionPoint`
  Parameters:
    `ev` - the extension visitor.
  Throws:
    `ExtensionVisitor.StoppedException`

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extProfile)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Overrides:
    `generate` in class `Link`
  Parameters:
    `w` - XML writer
    `extProfile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)

  Description copied from class: `AbstractExtension`
  The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Overrides:
    `getHandler` in class `Link`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler